# esa_ss2025_hivay_can_2

Dieses Projekt enthält einen einfachen Webserver mit Nginx in Docker.

## 1. Abgabe

- `index.html`: Die Startseite mit dem Text "Hallo, das ist der Webserver von Hivay Can!"
- `nginx.conf`: Nginx-Konfiguration
- `Dockerfile`: Baut ein Docker-Image basierend auf Nginx

### Nutzung

### Image bauen:

```bash
docker run --rm -p 8080:80 mywebserver:latest
```

### Browser abrufen:
http://localhost:8080

---

## 2. Abgabe

- `nginx/index.html`: Die Startseite mit dem Text "Hallo, das ist der Webserver von Hivay Can!"
- `nginx/nginx.conf`: Konfiguration für den Nginx-Webserver
- `nginx/Dockerfile`: Baut ein Docker-Image basierend auf Nginx
- `caddy/Caddyfile`: Caddy Reverse Proxy Konfiguration (leitet `/nginx` und `/fitamcampus`)
- `fitamcampus/fitamcampus-h2.jar`: Die Spring Boot Anwendung
- `docker-compose.yml`

### Nutzung:
```bash
docker compose build
docker compose up

```

### Browser abrufen:
Webserver (Nginx)	http://localhost:9001/nginx

Java-App (FitAmCampus)	http://localhost:9001/fitamcampus
 
--

## 3. Abgabe - Konfiguration der Reserve Proxy als Load Balancer

- `fitamcampusa/fitamcampusa-h2.jar`: Erste Instanz der FitAmCampus-Anwendung ("FitAmCampusA")
- `fitamcampusa/fitamcampusb-h2.jar`: Zweite Instanz der FitAmCampus-Anwendung ("FitAmCampusB")
- `caddy/Caddyfile`: Konfiguriert den Load Balancer mit Round Robin zwischen den 2 Instanzen (FitAmCampus A und FitAmCampusB)
- `docker-compose.yml`: Definiert alle Services und das Netzwerk

### Nutzung:
```bash
docker compose build
docker compose up

```

### Browser abrufen:
Webserver (Nginx)	http://localhost:9001/nginx

Load-Balanced Java-App (FitAmCampusA und FitAmCampusB)	http://localhost:9001/fitamcampus
